Bug 1431711 - Tests missing for recent multiplexing fixes
Summary: Tests missing for recent multiplexing fixes
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: GlusterFS
Classification: Community
Component: tests
Version: mainline
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Jeff Darcy
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-13 16:07 UTC by Jeff Darcy
Modified: 2019-04-21 06:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-21 06:32:43 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Jeff Darcy 2017-03-13 16:07:31 UTC
These were submitted initially as separate patches, before the fixes were developed, and then accidentally not submitted along with those fixes.  Specifically, the test patches in question were:

  tests: add test for brick-daemon crash when glusterd restarted
  https://review.gluster.org/#/c/16651/

  tests: add test for restarting glusterd with I/O ongoing
  https://review.gluster.org/#/c/16665/

Comment 1 Worker Ant 2017-03-13 16:12:05 UTC
REVIEW: https://review.gluster.org/16651 (These were submitted initially as separate patches, before the fixes were developed, and then accidentally not submitted along with those fixes. Specifically, the test patches in question were:) posted (#3) for review on master by Jeff Darcy (jdarcy@redhat.com)

Comment 2 Worker Ant 2017-03-13 16:12:51 UTC
REVIEW: https://review.gluster.org/16651 (tests: add missing patches for recent multiplexing fixes) posted (#4) for review on master by Jeff Darcy (jdarcy@redhat.com)

Comment 3 Worker Ant 2017-03-13 16:14:07 UTC
REVIEW: https://review.gluster.org/16898 (tests: add missing patches for recent multiplexing fixes) posted (#1) for review on master by Jeff Darcy (jdarcy@redhat.com)

Comment 4 Worker Ant 2017-03-13 19:41:12 UTC
REVIEW: https://review.gluster.org/16898 (tests: add missing patches for recent multiplexing fixes) posted (#2) for review on master by Jeff Darcy (jdarcy@redhat.com)

Comment 5 Amar Tumballi 2018-10-08 10:21:13 UTC
I see tests are now present for brick-mux, and also are running nightly everyday!

Comment 6 Amar Tumballi 2018-10-08 10:26:53 UTC
I see these two tests are not merged, but are abandon'd. Will keep this as a NEW bug, will need to address it sometime in future.

Comment 7 Yaniv Kaul 2019-04-21 06:32:43 UTC
(In reply to Amar Tumballi from comment #6)
> I see these two tests are not merged, but are abandon'd. Will keep this as a
> NEW bug, will need to address it sometime in future.

I'm closing for the time being. If there's a will to resurrect the tests, please do so.


Note You need to log in before you can comment on or make changes to this bug.